EDIT - feature request #3379

Add all hibernate validations
04/08/2013 10:48 AM - Andreas Miiller

Status: New Start date:

Priority: Priority12 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.43

Severity: normal

Description

For migration to hibernate 4 (#3344) we removed most validators from the model to avoid problems with existing data. With the next
data updater running we should add these validations again and update the data accordingly. E.g. we should update empty strings

by NULL if a @NullOrNotEmpty validation rule exists.

Classes to check:

e |nstitution.code, name

¢ Person.firsthame, lastname, suffix, prefix, lifespan

e TeamOrPersonBase
¢ (EventBase.timeperiod)
¢ (PolytomousKeyNode.key)

e CultivarPlantName.name

¢ NonViralName.infraGenericEpithet, specificEpithet, infraSpecificEpithet, authorshipCache (??), nameCache(??)

e TaxonNameBase.appendedPhrase, nomenclaturalMicroReference, rank, homotypicGroup

¢ ViralName.acronym

¢ Collection.code, codeStandard, name, townOrLocation

¢ DerivedUnitBase.catalogNumber, accessionNumber, collectorsNumber, barcode

¢ FieldObservation.fieldNumber, fieldNotes

¢ GatheringEvent.collectingMethod

¢ Specimen.exsiccatum

* Reference.title, editor, series, volume, pages, edition, isbn, issn, seriesPart, organization, publisher, placePublished,

referenceAbstract

¢ FeatureNode.featureTree

e DefinedTermBase.idInVocabulary (see also #4245)

Also check, if there are any Markers with type null

History

#1 - 05/15/2013 01:08 AM - Andreas Miiller

- Priority changed from Priority08 to Priority13

#2 - 12/16/2014 08:23 PM - Andreas Miiller
- Target version changed from CDM UML 3.5 to CDM UML - Next major release

Move all unassigned modelling tickets to next major release

#3 - 03/14/2017 10:37 AM - Andreas Miiller
- Description updated

- Target version changed from CDM UML - Next major release to COM UML 4.7

#4 - 06/07/2017 01:21 AM - Andreas Miiller
- Target version changed from CDM UML 4.7 to CDM UML 5.0

#5 - 05/14/2018 01:54 PM - Andreas Miiller
- Target version changed from CDM UML 5.0 to CDM UML 5.5

#6 - 01/19/2019 12:33 AM - Andreas Miiller
- Priority changed from Priority13 to Priority12

#7 - 02/19/2019 09:58 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to COM UML 5.15

#8 - 06/23/2020 02:52 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#9 - 09/11/2021 03:13 PM - Andreas Miller

- Private changed from Yes to No
